Summary:  a liberally licensed VNC server library
Name:     neatvnc
Version:  0.6.0
Release:  6%{?dist}
License:  ISC and MIT and Unlicense and BSD
URL:      https://github.com/any1/neatvnc
Source:   %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires: gcc, meson, cmake
BuildRequires: mesa-libgbm-devel, pkgconfig(libavcodec), pkgconfig(libavfilter), pkgconfig(libavutil), turbojpeg-devel
BuildRequires: aml-devel, gnutls-devel, libdrm-devel, pixman-devel, zlib-devel
ExcludeArch: loongarch64

%description
This is a liberally licensed VNC server library that's intended to be
fast and neat. Note: This is a beta release, so the interface is not
yet stable.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
%description devel
This package contains header files for %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_libdir}/lib%{name}.so.0*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*

%changelog
* Thu Sep 19 2024 Upgrade Robot <upbot@opencloudos.tech> - 0.6.0-6
- revert to version 0.6.0 because 0.8.1 does not satisfy the dependencies for Weston.

* Thu Sep 19 2024 cunshunxia <cunshunxia@tencent.com> - 0.8.1-1
- Upgrade to version 0.8.1 to fix CVE-2024-42458.

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-5
- Rebuilt for loongarch release

* Thu Jul 25 2024 Pengda Dou <doupengda@loongson.cn> - 0.6.0-4
- [Type] other
- [DESC] add loongarch64 to ExcludeArch

* Sat May 11 2024 Rebuild Robot <rebot@opencloudos.org> - 0.6.0-3
- [Type] other
- [DESC] Rebuilt for ffmpeg

* Tue Dec 12 2023 cunshunxia@tencent.com - 0.6.0-2
- Rebuilt for ffmpeg 6.1

* Fri Nov 17 2023 Chair <chairou@tencent.com> - 0.6.0-1
- Init
